Bug 513116

Summary: Compiz doesn't to honor CCSM configured settings
Product: [Fedora] Fedora Reporter: Dave Allan <dallan>
Component: compizAssignee: Adel Gadllah <adel.gadllah>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 11CC: davids, hidoufr, jrb, k1dugar, mcepl, theholyettlz, urkle
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-22 19:01:21 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Dave Allan 2009-07-21 23:02:44 EDT
Description of problem: 
I enabled some of the more lavish Compiz behaviors with CompizConfig Settings Manager (e.g. burn when closing windows) as well as some simple ones (e.g. 6 virtual desktops instead of 4) but the changes didn't take effect until I executed:

compiz --replace --sm-disable --ignore-desktop-hints ccp  --indirect-rendering &

I was surprised that the CCSM configured stuff didn't just take effect.

Version-Release number of selected component (if applicable):
I'm not certain which package actually controls this behavior.  This is the list of related packages on my system.  This system has all available updates applied.
compiz-fusion-extras-0.7.8-6.fc11.i586
compiz-fusion-0.7.8-8.fc11.i586
compiz-manager-0.6.0-9.fc11.noarch
libcompizconfig-0.7.8-3.fc11.i586
compiz-fusion-extras-gnome-0.7.8-6.fc11.i586
compizconfig-python-0.7.8-3.fc11.i586
compiz-fusion-gnome-0.7.8-8.fc11.i586
gnome-compiz-manager-0.10.4-8.fc11.i586
compiz-0.7.8-18.fc11.i586
compiz-gnome-0.7.8-18.fc11.i586
ccsm-0.7.8-2.fc11.noarch

How reproducible:
100%

Steps to Reproduce:
1. yum install ccsm & its dependencies and enable desktop effects; confirm that the default desktop effects (e.g. cube rotate) are active
2. change some of the behaviors (e.g. # of virtual desktops) in System->Preferences->CompizConfig Settings Manager->General Options->Desktop Size->Horizontal Virtual Size  Note: the actual setting changed doesn't matter--none of them take effect.
3. execute:

compiz --replace --sm-disable --ignore-desktop-hints ccp  --indirect-rendering &

and they should take effect
4. logging out/in resets compiz to the default behaviors and re-executing that command causes the ccsm configured settings to take effect again.

Additional info:
01:00.0 VGA compatible controller: ATI Technologies Inc RV535 [Radeon X1650 Series] (rev 9e)
01:00.1 Display controller: ATI Technologies Inc RV535 [Radeon X1650 Series] (rev 9e)
Comment 1 David Sommerseth 2009-08-14 05:45:53 EDT
Have you tried to install the compizconfig-backend-gconf RPM and configure ccsm to use the GConf backend?  The default compiz setup in F11 (not compiz-fusion, iirc) use the GConf interface for config settings, while the default ccsm setup uses a file backend.
Comment 2 Edward Rudd 2009-08-27 11:42:12 EDT
and I believe if the "file backend" is uses you need to enable the inotify compiz plugin so that it knows when the file gets updated (as I'm using the file backend on one of my systems running F11, though the gconf backend seems to be much faster at applying changes)
Comment 3 Kewan Dugar 2009-10-24 15:28:43 EDT
I had same problem, to fix it I edited "/usr/bin/compiz-gtk"

Line 5: "exec compiz --ignore-desktop-hints ccp $@"

By adding ccp module to load while running compiz fix the problem and ccsm setting were used. Make sure package compizconfig-backend-gconf is installed.
Comment 5 Matěj Cepl 2009-11-05 13:35:24 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Matěj Cepl 2009-11-17 07:02:20 EST
Switching incorrect assignees to the default one.
Comment 7 Hamidou Dia 2009-11-22 19:01:21 EST
Hi all,

See BZ#532229, for explanations and coming changes.

Regards.


Thanks in advance.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

*** This bug has been marked as a duplicate of bug 532229 ***